Bug 140710 - CAN-2004-1068 Missing serialisation in unix_dgram_recvmsg
CAN-2004-1068 Missing serialisation in unix_dgram_recvmsg
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
impact=important,public=20041115
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 08:06 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 21:59:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-24 08:06:42 EST
According to isec.pl on Nov19:
        "There is a subtle race condition finally permitting a
        non-root user to increment (up to 256 times) any arbitrary
        location(s) in kernel space.  The condition is not easy to
        exploit since an attacker must trick kmalloc() to sleep on
        allocation of a special chunk of memory and then convince the
        scheduler to execute another thread. But it is feasible."

http://linux.bkbits.net:8080/linux-2.4/cset@4199284dnTPrPLR-yhP_rOBHXJlltA
Therefore fixed in 2.4.28
http://linux.bkbits.net:8080/linux-2.6/cset@419927f5Wy2IOKwcqE2S3DTNYSmCqQ
Therefore will be fixed in 2.6.10

CVE name applied for
Comment 1 Ernie Petrides 2004-11-24 20:33:33 EST
A fix for this problem has just been committed to the RHEL3 E4
patch pool this evening (in kernel version 2.4.21-20.0.1.EL).

I'm leaving this in ASSIGNED state until the fix is also
propagated to the RHEL3 U4 and U5 patch pools.
Comment 2 Ernie Petrides 2004-12-01 21:55:52 EST
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-27.EL).

I'm leaving this in ASSIGNED state until the fix is also
propagated to the RHEL3 U5 patch pool.
Comment 3 Mark J. Cox (Product Security) 2004-12-02 06:43:35 EST
http://rhn.redhat.com/errata/RHSA-2004-549.html
Comment 4 Ernie Petrides 2004-12-09 21:59:21 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.3.EL).

Work on this problem has now been completed.

Note You need to log in before you can comment on or make changes to this bug.